/*
Ismtls nlkli kombinci - tblzatkitltssel 1
*/

#include <iostream>

using namespace std;

// Konstansok
const int MAXN = 90;

//Globlis vltozk
unsigned long long b[MAXN+1][MAXN+1];

void beolvasas(int& n, int& k) {
	cerr << "n: ";
	cin >> n;
	cerr << "k: ";
	cin >> k;
}

void binom(const int& n, const int& k) {
	//Szlek feltltse
	for (int i = 0; i <= n ; i++) {
		b[i][i] = 1;
		b[i][0] = 1;
	}

	for (int i = 1; i <= n ; i++) {
		for (int j = 1; j <= i - 1; j++) {
			b[i][j] = b[i - 1][j - 1] + b[i - 1][j];
		}
	}
}

int main() {

	//Vltozk
	int n, k;

	beolvasas(n, k);
	binom(n, k);
	cout << "eredmeny: " << b[n][k] << endl;

	return 0;
}
